apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  namespace: asag
  name: aep-ui-0.0.0-0c7b353b
spec:
  name: aep-ui
  version: 0.0.0-0c7b353b
  includes:
    - vendor: asag
      name: defaults
      version: 0.2.8
  clusters:
    - flags:
        - key: v1_role
          from: value
          value: aep-ui
          to: label
      sizing:
        initial: 1
        minimum: 1
        maximum: 10
        increment: 1
      podspec:
        containers:
          - name: aos
            image: aep/base_jammy
      provides:
        - name: frontend
          network: loadbalanced
          exposed: true
          servicespec:
            ports:
              - name: http
                protocol: TCP
                port: 80
                targetPort: 80
  settings:
    - name: environment
      schema:
        default: aep-ui_prod
